TemplateRender class

package | phpLDAPadmin
subpackage | Templates

### Methods

## __call()

    __call($method, $args)

Inherited

inherited_from | \Visitor::__call()
inherited_from | \PageRender::__call()
inherited_from | \TemplateRender::__call()

### Parameters

#### $method

#### $args

## __construct()

    __construct($server_id, $template_id)

Inherited

inherited_from | \PageRender::__construct()
inherited_from | \TemplateRender::__construct()

### Parameters

#### $server_id

#### $template_id

## Initialise and Render the TemplateRender

    accept($norender)

Inherited

inherited_from | \TemplateRender::accept()

### Parameters

#### $norender

## drawFormEnd()

    drawFormEnd()

Inherited

inherited_from | \TemplateRender::drawFormEnd()

## FORM METHODS *

    drawFormStart()

Inherited

inherited_from | \TemplateRender::drawFormStart()

## drawFormSubmitButton()

    drawFormSubmitButton()

Inherited

inherited_from | \TemplateRender::drawFormSubmitButton()

## Draw all hidden attributes

    drawHiddenAttributes()

Inherited

inherited_from | \PageRender::drawHiddenAttributes()
inherited_from | \TemplateRender::drawHiddenAttributes()

## drawSubTitle()

    drawSubTitle($subtitle)

Inherited

inherited_from | \TemplateRender::drawSubTitle()

### Parameters

#### $subtitle

## drawTitle()

    drawTitle($title)

Inherited

inherited_from | \TemplateRender::drawTitle()

### Parameters

#### $title

## Return the LDAP server ID

    getServerID() : int

Inherited

inherited_from | \Visitor::getServerID()
inherited_from | \PageRender::getServerID()
inherited_from | \TemplateRender::getServerID()

### Returns

`int`Server ID

## getTemplate()

    getTemplate()

Inherited

inherited_from | \PageRender::getTemplate()
inherited_from | \TemplateRender::getTemplate()

## getTemplateID()

    getTemplateID()

Inherited

inherited_from | \PageRender::getTemplateID()
inherited_from | \TemplateRender::getTemplateID()

## setContainer()

    setContainer($dn)

Inherited

inherited_from | \PageRender::setContainer()
inherited_from | \TemplateRender::setContainer()

### Parameters

#### $dn

## setDN()

    setDN($dn)

Inherited

inherited_from | \PageRender::setDN()
inherited_from | \TemplateRender::setDN()

### Parameters

#### $dn

## drawBlurJavascriptAttribute()

    drawBlurJavascriptAttribute($attribute, $component)

Inherited

inherited_from | \TemplateRender::drawBlurJavascriptAttribute()

### Parameters

#### $attribute

#### $component

## drawCheckLinkPasswordAttribute()

    drawCheckLinkPasswordAttribute($attribute, $component_id)

Inherited

inherited_from | \TemplateRender::drawCheckLinkPasswordAttribute()

### Parameters

#### $attribute

#### $component_id

## Container Chooser

    drawContainerChooser($default_container)

Inherited

inherited_from | \TemplateRender::drawContainerChooser()

### Parameters

#### $default_container

## Draw the current specific value of an attribute

    drawCurrentValueAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawCurrentValueAttribute()
inherited_from | \TemplateRender::drawCurrentValueAttribute()

### Parameters

#### $attribute

#### $i

## drawCurrentValueBinaryAttribute()

    drawCurrentValueBinaryAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawCurrentValueBinaryAttribute()
inherited_from | \TemplateRender::drawCurrentValueBinaryAttribute()

### Parameters

#### $attribute

#### $i

## Draw a Jpeg Attribute

    drawCurrentValueJpegAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawCurrentValueJpegAttribute()
inherited_from | \TemplateRender::drawCurrentValueJpegAttribute()

### Parameters

#### $attribute

#### $i

## drawCurrentValuePasswordAttribute()

    drawCurrentValuePasswordAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawCurrentValuePasswordAttribute()
inherited_from | \TemplateRender::drawCurrentValuePasswordAttribute()

### Parameters

#### $attribute

#### $i

## DRAW DISPLAYED CURRENT VALUES *

    drawCurrentValuesAttribute($attribute)

Inherited

inherited_from | \PageRender::drawCurrentValuesAttribute()
inherited_from | \TemplateRender::drawCurrentValuesAttribute()

### Parameters

#### $attribute

## drawDefaultHelperPasswordAttribute()

    drawDefaultHelperPasswordAttribute($attribute, $i)

Inherited

inherited_from | \TemplateRender::drawDefaultHelperPasswordAttribute()

### Parameters

#### $attribute

#### $i

## drawDefaultHelperSambaPasswordAttribute()

    drawDefaultHelperSambaPasswordAttribute($attribute, $i)

Inherited

inherited_from | \TemplateRender::drawDefaultHelperSambaPasswordAttribute()

### Parameters

#### $attribute

#### $i

## drawDnValueIconAttribute()

    drawDnValueIconAttribute($attribute, $val)

Inherited

inherited_from | \TemplateRender::drawDnValueIconAttribute()

### Parameters

#### $attribute

#### $val

## drawEndValueLineAttribute()

    drawEndValueLineAttribute($attribute)

Inherited

inherited_from | \TemplateRender::drawEndValueLineAttribute()

### Parameters

#### $attribute

## drawFillJavascriptAttribute()

    drawFillJavascriptAttribute($attribute, $component_id, $component_value)

Inherited

inherited_from | \TemplateRender::drawFillJavascriptAttribute()

### Parameters

#### $attribute

#### $component_id

#### $component_value

## drawFocusJavascriptAttribute()

    drawFocusJavascriptAttribute($attribute, $component)

Inherited

inherited_from | \TemplateRender::drawFocusJavascriptAttribute()

### Parameters

#### $attribute

#### $component

## drawForm()

    drawForm($nosubmit)

Inherited

inherited_from | \TemplateRender::drawForm()

### Parameters

#### $nosubmit

## drawFormReadOnlyValueAttribute()

    drawFormReadOnlyValueAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadOnlyValueAttribute()
inherited_from | \TemplateRender::drawFormReadOnlyValueAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadOnlyValueBinaryAttribute()

    drawFormReadOnlyValueBinaryAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadOnlyValueBinaryAttribute()
inherited_from | \TemplateRender::drawFormReadOnlyValueBinaryAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadOnlyValueJpegAttribute()

    drawFormReadOnlyValueJpegAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadOnlyValueJpegAttribute()
inherited_from | \TemplateRender::drawFormReadOnlyValueJpegAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadOnlyValueMultiLineAttribute()

    drawFormReadOnlyValueMultiLineAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadOnlyValueMultiLineAttribute()
inherited_from | \TemplateRender::drawFormReadOnlyValueMultiLineAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadOnlyValuePasswordAttribute()

    drawFormReadOnlyValuePasswordAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadOnlyValuePasswordAttribute()
inherited_from | \TemplateRender::drawFormReadOnlyValuePasswordAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadOnlyValueShadowAttribute()

    drawFormReadOnlyValueShadowAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadOnlyValueShadowAttribute()
inherited_from | \TemplateRender::drawFormReadOnlyValueShadowAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueAttribute()

    drawFormReadWriteValueAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadWriteValueAttribute()
inherited_from | \TemplateRender::drawFormReadWriteValueAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueBinaryAttribute()

    drawFormReadWriteValueBinaryAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadWriteValueBinaryAttribute()
inherited_from | \TemplateRender::drawFormReadWriteValueBinaryAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueDateAttribute()

    drawFormReadWriteValueDateAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadWriteValueDateAttribute()
inherited_from | \TemplateRender::drawFormReadWriteValueDateAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueDnAttribute()

    drawFormReadWriteValueDnAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadWriteValueDnAttribute()
inherited_from | \TemplateRender::drawFormReadWriteValueDnAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueGidAttribute()

    drawFormReadWriteValueGidAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadWriteValueGidAttribute()
inherited_from | \TemplateRender::drawFormReadWriteValueGidAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueMultiLineAttribute()

    drawFormReadWriteValueMultiLineAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadWriteValueMultiLineAttribute()
inherited_from | \TemplateRender::drawFormReadWriteValueMultiLineAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValuePasswordAttribute()

    drawFormReadWriteValuePasswordAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadWriteValuePasswordAttribute()
inherited_from | \TemplateRender::drawFormReadWriteValuePasswordAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueSelectionAttribute()

    drawFormReadWriteValueSelectionAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadWriteValueSelectionAttribute()
inherited_from | \TemplateRender::drawFormReadWriteValueSelectionAttribute()

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueShadowAttribute()

    drawFormReadWriteValueShadowAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormReadWriteValueShadowAttribute()
inherited_from | \TemplateRender::drawFormReadWriteValueShadowAttribute()

### Parameters

#### $attribute

#### $i

## Draw a input value for an attribute - used in a form.

    drawFormValueAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormValueAttribute()
inherited_from | \TemplateRender::drawFormValueAttribute()

### Parameters

#### $attribute

#### $i

## drawFormValueObjectClassAttribute()

    drawFormValueObjectClassAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawFormValueObjectClassAttribute()
inherited_from | \TemplateRender::drawFormValueObjectClassAttribute()

### Parameters

#### $attribute

#### $i

## drawHelperAttribute()

    drawHelperAttribute($attribute, $i)

Inherited

inherited_from | \TemplateRender::drawHelperAttribute()

### Parameters

#### $attribute

#### $i

## Draw specific hidden attribute

    drawHiddenValueAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawHiddenValueAttribute()
inherited_from | \TemplateRender::drawHiddenValueAttribute()

### Parameters

#### $attribute

#### $i

## Draw specific hidden binary attribute

    drawHiddenValueBinaryAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawHiddenValueBinaryAttribute()
inherited_from | \TemplateRender::drawHiddenValueBinaryAttribute()

### Parameters

#### $attribute

#### $i

## DRAW ICONS FOR ATTRIBUTES VALUES *

    drawIconAttribute($attribute, $val)

Inherited

inherited_from | \TemplateRender::drawIconAttribute()

### Parameters

#### $attribute

#### $val

## DN ATTRIBUTES *

    drawIconDnAttribute($attribute, $val)

Inherited

inherited_from | \TemplateRender::drawIconDnAttribute()

### Parameters

#### $attribute

#### $val

## OBJECT CLASS ATTRIBUTE *

    drawIconObjectClassAttribute($attribute, $val)

Inherited

inherited_from | \TemplateRender::drawIconObjectClassAttribute()

### Parameters

#### $attribute

#### $val

## SELECTION ATTRIBUTE RENDERING *

    drawIconSelectionAttribute($attribute, $val)

Inherited

inherited_from | \TemplateRender::drawIconSelectionAttribute()

### Parameters

#### $attribute

#### $val

## drawInternalAttribute()

    drawInternalAttribute($attribute)

Inherited

inherited_from | \TemplateRender::drawInternalAttribute()

### Parameters

#### $attribute

## INTERNAL ATTRIBUTES *

    drawInternalAttributes()

Inherited

inherited_from | \TemplateRender::drawInternalAttributes()

## DATE ATTRIBUTE RENDERING *

    drawJavaScriptDateAttribute($attribute)

Inherited

inherited_from | \TemplateRender::drawJavaScriptDateAttribute()

### Parameters

#### $attribute

## DRAW PAGE JAVACRIPT

    drawJavascript()

Inherited

inherited_from | \TemplateRender::drawJavascript()

## javacript

    drawJavascriptAttribute($attribute)

Inherited

inherited_from | \TemplateRender::drawJavascriptAttribute()

### Parameters

#### $attribute

## drawJavascriptBinaryAttribute()

    drawJavascriptBinaryAttribute($attribute)

Inherited

inherited_from | \TemplateRender::drawJavascriptBinaryAttribute()

### Parameters

#### $attribute

## PASSWORD ATTRIBUTES *

    drawJavascriptPasswordAttribute($attribute)

Inherited

inherited_from | \TemplateRender::drawJavascriptPasswordAttribute()

### Parameters

#### $attribute

## This will draw the javascript that displays to the user the random password generated

    drawJavascriptRandomPasswordAttribute($attribute)

Inherited

inherited_from | \TemplateRender::drawJavascriptRandomPasswordAttribute()

### Parameters

#### $attribute

## drawMailValueIconAttribute()

    drawMailValueIconAttribute($attribute, $val)

Inherited

inherited_from | \TemplateRender::drawMailValueIconAttribute()

### Parameters

#### $attribute

#### $val

## drawMassFormReadWriteValueAttribute()

    drawMassFormReadWriteValueAttribute($attribute, $i, $j)

### Parameters

#### $attribute

#### $i

#### $j

## drawMassFormReadWriteValueBinaryAttribute()

    drawMassFormReadWriteValueBinaryAttribute($attribute, $i, $j)

### Parameters

#### $attribute

#### $i

#### $j

## drawMassFormReadWriteValueJpegAttribute()

    drawMassFormReadWriteValueJpegAttribute($attribute, $i, $j)

### Parameters

#### $attribute

#### $i

#### $j

## DRAW ATTRIBUTE NAME *

    drawNameAttribute($attribute)

Inherited

inherited_from | \PageRender::drawNameAttribute()
inherited_from | \TemplateRender::drawNameAttribute()

### Parameters

#### $attribute

## ATTRIBUTE NOTES

    drawNotesAttribute($attribute)

Inherited

inherited_from | \PageRender::drawNotesAttribute()
inherited_from | \TemplateRender::drawNotesAttribute()

### Parameters

#### $attribute

## Object Class Chooser

    drawObjectClassChooser()

Inherited

inherited_from | \TemplateRender::drawObjectClassChooser()

## drawOldValueAttribute()

    drawOldValueAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawOldValueAttribute()
inherited_from | \TemplateRender::drawOldValueAttribute()

### Parameters

#### $attribute

#### $i

## drawOldValueBinaryAttribute()

    drawOldValueBinaryAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawOldValueBinaryAttribute()
inherited_from | \TemplateRender::drawOldValueBinaryAttribute()

### Parameters

#### $attribute

#### $i

## Draw a Jpeg Attribute

    drawOldValueJpegAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawOldValueJpegAttribute()
inherited_from | \TemplateRender::drawOldValueJpegAttribute()

### Parameters

#### $attribute

#### $i

## drawOldValuePasswordAttribute()

    drawOldValuePasswordAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::drawOldValuePasswordAttribute()
inherited_from | \TemplateRender::drawOldValuePasswordAttribute()

### Parameters

#### $attribute

#### $i

## DRAW DISPLAYED OLD VALUES *

    drawOldValuesAttribute($attribute)

Inherited

inherited_from | \PageRender::drawOldValuesAttribute()
inherited_from | \TemplateRender::drawOldValuesAttribute()

### Parameters

#### $attribute

## RDN Chooser

    drawRDNChooser()

Inherited

inherited_from | \TemplateRender::drawRDNChooser()

## drawRequiredSymbolAttribute()

    drawRequiredSymbolAttribute($attribute)

Inherited

inherited_from | \TemplateRender::drawRequiredSymbolAttribute()

### Parameters

#### $attribute

## Draws an HTML date selector button which, when clicked, pops up a date selector dialog.

    drawSelectorPopupDateAttribute($attribute, $i)

Inherited

inherited_from | \TemplateRender::drawSelectorPopupDateAttribute()

### Parameters

#### $attribute

#### $i

## drawShadowDateShadowAttribute()

    drawShadowDateShadowAttribute($attribute)

Inherited

inherited_from | \PageRender::drawShadowDateShadowAttribute()
inherited_from | \TemplateRender::drawShadowDateShadowAttribute()

### Parameters

#### $attribute

## ATTRIBUTE LINE *

    drawStartValueLineAttribute($attribute)

Inherited

inherited_from | \TemplateRender::drawStartValueLineAttribute()

### Parameters

#### $attribute

## drawStepForm()

    drawStepForm($page)

Inherited

inherited_from | \TemplateRender::drawStepForm()

### Parameters

#### $page

## drawTemplateAttribute()

    drawTemplateAttribute($attribute)

Inherited

inherited_from | \TemplateRender::drawTemplateAttribute()

### Parameters

#### $attribute

## Present a list of available templates for creating and editing LDAP entries

    drawTemplateChoice()

Inherited

inherited_from | \TemplateRender::drawTemplateChoice()

## drawTemplateValuesAttribute()

    drawTemplateValuesAttribute($attribute)

Inherited

inherited_from | \TemplateRender::drawTemplateValuesAttribute()

### Parameters

#### $attribute

## ATTRIBUTE TITLE *

    drawTitleAttribute($attribute)

Inherited

inherited_from | \TemplateRender::drawTitleAttribute()

### Parameters

#### $attribute

## drawUrlValueIconAttribute()

    drawUrlValueIconAttribute($attribute, $val)

Inherited

inherited_from | \TemplateRender::drawUrlValueIconAttribute()

### Parameters

#### $attribute

#### $val

## drawValidateJavascriptAttribute()

    drawValidateJavascriptAttribute($attribute, $component, $silence, $var_valid)

Inherited

inherited_from | \TemplateRender::drawValidateJavascriptAttribute()

### Parameters

#### $attribute

#### $component

#### $silence

#### $var_valid

## values *

    drawValueAttribute($attribute, $i)

Inherited

inherited_from | \TemplateRender::drawValueAttribute()

### Parameters

#### $attribute

#### $i

## getAutoPostPasswordAttribute()

    getAutoPostPasswordAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::getAutoPostPasswordAttribute()
inherited_from | \TemplateRender::getAutoPostPasswordAttribute()

### Parameters

#### $attribute

#### $i

## getBlurJavascriptAttribute()

    getBlurJavascriptAttribute($attribute, $component)

Inherited

inherited_from | \TemplateRender::getBlurJavascriptAttribute()

### Parameters

#### $attribute

#### $component

## getDefaultAttribute()

    getDefaultAttribute($attribute, $container, $type)

Inherited

inherited_from | \TemplateRender::getDefaultAttribute()

### Parameters

#### $attribute

#### $container

#### $type

## getDeleteAttributeMessage()

    getDeleteAttributeMessage()

Inherited

inherited_from | \TemplateRender::getDeleteAttributeMessage()

## getFocusJavascriptAttribute()

    getFocusJavascriptAttribute($attribute, $component)

Inherited

inherited_from | \TemplateRender::getFocusJavascriptAttribute()

### Parameters

#### $attribute

#### $component

## Set the mode of the TemplateRender Applicable modes are "create" or "edit"

    getMode()

Inherited

inherited_from | \TemplateRender::getMode()

## Return the container for this mode

    getModeContainer()

Inherited

inherited_from | \TemplateRender::getModeContainer()

## getModifiedAttributesMessage()

    getModifiedAttributesMessage($modified_attributes)

Inherited

inherited_from | \TemplateRender::getModifiedAttributesMessage()

### Parameters

#### $modified_attributes

## getNoteAliasAttribute()

    getNoteAliasAttribute($attribute)

Inherited

inherited_from | \PageRender::getNoteAliasAttribute()
inherited_from | \TemplateRender::getNoteAliasAttribute()

### Parameters

#### $attribute

## getNoteHintAttribute()

    getNoteHintAttribute($attribute)

Inherited

inherited_from | \PageRender::getNoteHintAttribute()
inherited_from | \TemplateRender::getNoteHintAttribute()

### Parameters

#### $attribute

## getNoteRDNAttribute()

    getNoteRDNAttribute($attribute)

Inherited

inherited_from | \PageRender::getNoteRDNAttribute()
inherited_from | \TemplateRender::getNoteRDNAttribute()

### Parameters

#### $attribute

## getNoteROAttribute()

    getNoteROAttribute($attribute)

Inherited

inherited_from | \PageRender::getNoteROAttribute()
inherited_from | \TemplateRender::getNoteROAttribute()

### Parameters

#### $attribute

## getNoteRequiredAttribute()

    getNoteRequiredAttribute($attribute)

Inherited

inherited_from | \PageRender::getNoteRequiredAttribute()
inherited_from | \TemplateRender::getNoteRequiredAttribute()

### Parameters

#### $attribute

## Process our <post> arguments from the templates

    getPostAttribute($attribute, $i)

Inherited

inherited_from | \PageRender::getPostAttribute()
inherited_from | \TemplateRender::getPostAttribute()

### Parameters

#### $attribute

#### $i

## getReadOnlyMessage()

    getReadOnlyMessage()

Inherited

inherited_from | \TemplateRender::getReadOnlyMessage()

## Return this LDAP Server object

    getServer() : object

Inherited

inherited_from | \Visitor::getServer()
inherited_from | \PageRender::getServer()
inherited_from | \TemplateRender::getServer()

### Returns

`object`DataStore Server

## This function is invoked if we dont know which template we should be using.

    getTemplateChoice() : string

Inherited

inherited_from | \PageRender::getTemplateChoice()
inherited_from | \TemplateRender::getTemplateChoice()

### Returns

`string`Template ID to be used or null if the user was presented with a list.

## Get our templates applicable for this object

    getTemplates()

Inherited

inherited_from | \PageRender::getTemplates()
inherited_from | \TemplateRender::getTemplates()

## getViewSchemaMessage()

    getViewSchemaMessage()

Inherited

inherited_from | \TemplateRender::getViewSchemaMessage()

## Is the default template enabled?

    haveDefaultTemplate()

Inherited

inherited_from | \TemplateRender::haveDefaultTemplate()

## Dummy method.

    visitAttribute()

Inherited

..

inherited_from | \PageRender::visitAttribute()
inherited_from | \TemplateRender::visitAttribute()

## PAGE DRAWING METHODS *

    drawHeader()

Inherited

inherited_from | \TemplateRender::drawHeader()

## DRAW ATTRIBUTES *

    drawShownAttributes()

Inherited

inherited_from | \TemplateRender::drawShownAttributes()

## Given our known objectClass in the template, this will render the required MAY and optional MUST attributes

    drawStepFormDefaultAttributes()

Inherited

inherited_from | \TemplateRender::drawStepFormDefaultAttributes()

## drawStepFormEnd()

    drawStepFormEnd()

Inherited

inherited_from | \TemplateRender::drawStepFormEnd()

## drawStepFormStart()

    drawStepFormStart($page)

Inherited

inherited_from | \TemplateRender::drawStepFormStart()

### Parameters

#### $page

## drawStepFormSubmitButton()

    drawStepFormSubmitButton($page)

Inherited

inherited_from | \TemplateRender::drawStepFormSubmitButton()

### Parameters

#### $page

## STEP FORM METHODS *

    drawStepTitle($page)

Inherited

inherited_from | \TemplateRender::drawStepTitle()

### Parameters

#### $page

## Javascript Functions

    drawTemplateJavascript()

Inherited

inherited_from | \TemplateRender::drawTemplateJavascript()

## Takes a shadow* attribute and returns the date as an integer.

    shadow_date(array $attribute)

Inherited

inherited_from | \PageRender::shadow_date()
inherited_from | \TemplateRender::shadow_date()

### Parameters

#### $attribute

`array`

Attribute objects

## visitEnd()

    visitEnd()

Inherited

inherited_from | \TemplateRender::visitEnd()

## This function will setup our template object (read LDAP for current values, read $_REQUEST for new values, etc) so that it can be rendered.

    visitStart()

Inherited

inherited_from | \TemplateRender::visitStart()

### Properties

## $container

    $container

Inherited

inherited_from | \PageRender::$$container
inherited_from | \TemplateRender::$$container

## $dn

    $dn

Inherited

inherited_from | \PageRender::$$dn
inherited_from | \TemplateRender::$$dn

## $page

    $page

Inherited

inherited_from | \PageRender::$$page
inherited_from | \TemplateRender::$$page

## $server_id

    $server_id

Inherited

inherited_from | \Visitor::$$server_id
inherited_from | \PageRender::$$server_id
inherited_from | \TemplateRender::$$server_id

## $template

    $template

Inherited

inherited_from | \PageRender::$$template
inherited_from | \TemplateRender::$$template

## $template_id

    $template_id

Inherited

inherited_from | \PageRender::$$template_id
inherited_from | \TemplateRender::$$template_id

## $pagelast

    $pagelast

Inherited

inherited_from | \TemplateRender::$$pagelast